Bug 50618 - RFE: Capture ALL anaconda tracebacks to hard drive
RFE: Capture ALL anaconda tracebacks to hard drive
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-08-01 14:04 EDT by R P Herrold
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-25 12:17:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-08-01 14:04:39 EDT
Description of Problem:
Sometimes (human error, lack of media, lack of floppy drive, whatever) one
simply CANNOT get a copy of an anaconda traceback off a failing install


This actually provokes an idea on my part -- Why not 'tee' in all
instances anaconda tracebacks, in the case of install/upgrade failures,
into /tmp/anaconda-traceback.txt, and/or the install/upgrade log, so that
sysadmins, and indeed less experienced customers finding errors, can give
better reports, even if a proper floppy, with proper vfat modules, is not
at hand.
Comment 1 R P Herrold 2001-08-01 14:05:14 EDT
See also bugzilla 30029
Comment 2 Michael Fulbright 2001-08-01 14:54:10 EDT
Marking to consider for next release, we're past our feature freeze.
Comment 3 R P Herrold 2001-10-25 20:52:51 EDT
Repoened after release of RH 7.2
Thi sstill seems like a useful helper for the Beta phase, and indeed for RH 
support in debugging a failing install for retail install support.
Comment 4 R P Herrold 2002-02-10 21:24:13 EST
Please consider inclusion of this as a SOP as we enter RH 8.0 beta testing. --
now is the time!
Comment 5 Michael Fulbright 2002-03-26 12:44:24 EST
Deferring to future release.
Comment 6 R P Herrold 2002-09-30 22:00:17 EDT
We are now hopefully before feature freeze -- freezer burn here (smile); Reopen
as an RFE for post RHL 8.0 consideration in planning items for next release
Comment 7 Michael Fulbright 2003-04-07 19:03:29 EDT
I have fixed this so if /mnt/sysimage is mounted then the traceback will go into

Note You need to log in before you can comment on or make changes to this bug.